/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { FilesystemScript } from './filesystem-script';
// May contain unused imports in some cases
// @ts-ignore
import { GitScript } from './git-script';
// May contain unused imports in some cases
// @ts-ignore
import { InlineScript } from './inline-script';
// May contain unused imports in some cases
// @ts-ignore
import { PythonArgumentsInput } from './python-arguments-input';

/**
 * @type Activities
 * @export
 */
export type Activities = { kind: 'filesystem' } & FilesystemScript | { kind: 'git' } & GitScript | { kind: 'inline' } & InlineScript;


